Subject: Re: bug#20237: Emacs built on Windows cannot figure out path correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Apr 2015 21:44:10 +0300

> Date: Sat, 04 Apr 2015 21:38:21 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> I think you need to use this instead:
> 
>   (setq python-shell-interpreter "/cygdrive/C/Python27/Scripts/ipython")
> 
> Or something like that -- I don't use Cygwin, so I might be mistaken
> about the exact format you need to use.

Actually, if you use this format, you'd probably also need to use
cygwin-mount as well.

So the second alternative, to remove the setup for Cygwin Bash, is IMO
better.  Mixing a native Windows Emacs with Cygwin is a tricky
business.

Yet another possibility is to use a Cygwin build of Emacs.